import svelteIcon from '$lib/images/vendorIcons/svelteIcon.svg';
import tailwindIcon from '$lib/images/vendorIcons/tailwindIcon.svg';
import vercelIcon from '$lib/images/vendorIcons/vercelIcon.svg';
import flowbiteLight from '$lib/images/vendorIcons/flowbiteLight.svg';
import reactIcon from '$lib/images/vendorIcons/reactIcon.svg';
import nextjsIcon from '$lib/images/vendorIcons/nextjsIcon.svg';
import nextuiIcon from '$lib/images/vendorIcons/nextuiIcon.png';
import authjsIcon from '$lib/images/vendorIcons/authjsIcon.webp';
import drizzleIcon from '$lib/images/vendorIcons/drizzleIcon.webp';

export const projects = [
	{
		category: 'svelte',
		title: 'Portfolio',
		url: 'https://rannes.dev',
		description:
			'This project was initially to get familiar with Svelte and showcase my future projects. I find myself that I keep coming back to expand on it whenever I need a break from React.',
		repo: 'https://gitea.rannes.dev/rannes.dev/my-portfolio',
		rss: 'https://gitea.rannes.dev/rannes.dev/my-portfolio.rss',
		image: '',
		vendors: [
			{
				name: 'Svelte',
				img: svelteIcon,
				url: 'https://svelte.dev/'
			},
			{
				name: 'Tailwind',
				img: tailwindIcon,
				url: 'https://tailwindcss.com/'
			},
			{
				name: 'Flowbite',
				img: flowbiteLight,
				url: 'https://flowbite-svelte.com//'
			},
			{
				name: 'Vercel',
				img: vercelIcon,
				url: 'https://vercel.com/'
			}
		]
	},
	{
		category: 'nextjs',
		title: 'Scaffolding the next project.',
		url: 'https://titles-psi.vercel.app/',
		description:
			'I am exploring different librarys for ui, auth, ORM etc. for my next project. This time it is deployed to vercel, but I am still using workflows.',
		repo: 'https://gitea.rannes.dev/rannes.dev/titles',
		rss: 'https://gitea.rannes.dev/rannes.dev/titles.rss',
		image: '',
		vendors: [
			{
				name: 'React',
				img: reactIcon,
				url: 'https://react.dev/'
			},
			{
				name: 'Next.js',
				img: nextjsIcon,
				url: 'https://nextjs.org/'
			},
			{
				name: 'Auth.js',
				img: authjsIcon,
				url: 'https://authjs.dev/'
			},
			{
				name: 'Nextui',
				img: nextuiIcon,
				url: 'https://nextui.org/'
			},
			{
				name: 'Tailwind',
				img: tailwindIcon,
				url: 'https://tailwindcss.com/'
			},
			{
				name: 'Drizzle',
				img: drizzleIcon,
				url: 'https://orm.drizzle.team/'
			},
			{
				name: 'Vercel',
				img: vercelIcon,
				url: 'https://vercel.com/'
			}
		]
	},
	{
		category: 'nextjs',
		title: 'Local weather',
		url: 'https://weather.rannes.dev',
		description: 'A simple application to fetch a weekly weather forecast.',
		repo: 'https://gitea.rannes.dev/rannes.dev/local-weather',
		rss: 'https://gitea.rannes.dev/rannes.dev/local-weather.rss',
		image: '',
		vendors: [
			{
				name: 'React',
				img: reactIcon,
				url: 'https://react.dev/'
			},
			{
				name: 'Next.js',
				img: nextjsIcon,
				url: 'https://nextjs.org/'
			},
			{
				name: 'Tailwind',
				img: tailwindIcon,
				url: 'https://tailwindcss.com/'
			},
			{
				name: 'Vercel',
				img: vercelIcon,
				url: 'https://vercel.com/'
			}
		]
	}
];
